org.apache.tinkerpop.gremlin.process.computer

## Enum GraphComputer.ResultGraph

- java.lang.Object
- - java.lang.Enum<GraphComputer.ResultGraph>
  - - org.apache.tinkerpop.gremlin.process.computer.GraphComputer.ResultGraph

- All Implemented Interfaces:
    Serializable, Comparable<GraphComputer.ResultGraph>
  Enclosing interface:
    GraphComputer

      public static enum GraphComputer.ResultGraph
      extends Enum<GraphComputer.ResultGraph>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NEW` When the computation is complete, the `Graph` in `ComputerResult` is a new graph cloned from the original graph.
    `ORIGINAL` When the computation is complete, the `Graph` in `ComputerResult` is the original graph that spawned the graph computer.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GraphComputer.ResultGraph` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GraphComputer.ResultGraph[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ORIGINAL

          public static final GraphComputer.ResultGraph ORIGINAL

      When the computation is complete, the `Graph` in `ComputerResult` is the original graph that spawned the graph computer.

    - #### NEW

          public static final GraphComputer.ResultGraph NEW

      When the computation is complete, the `Graph` in `ComputerResult` is a new graph cloned from the original graph.

  - ### Method Detail

    - #### values

          public static GraphComputer.ResultGraph[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GraphComputer.ResultGraph c : GraphComputer.ResultGraph.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GraphComputer.ResultGraph valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.